OpenVDB: PagedArray< ValueT, Log2PageSize >::Page Class Reference

OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Attributes | List of all members
PagedArray< ValueT, Log2PageSize >::Page Class Reference

`#include <openvdb/util/PagedArray.h>`

## Public Member Functions
| Page ()
| ~Page ()
| Page (const Page &)=delete
Page & | operator= (const Page &)=delete
ValueT & | operator[] (const size_t i)
const ValueT & | operator[] (const size_t i) const
void | fill (const ValueT &v)
ValueT * | data ()
void | copy (ValueType *dst, size_t n) const

## Static Public Member Functions
static size_t | memUsage ()

## Static Public Attributes
static const size_t | Size = 1UL << Log2PageSize
static const size_t | Mask = Size - 1UL

## Protected Attributes
ValueT * | mData

## Constructor & Destructor Documentation

## ◆ Page() [1/2]

template<typename ValueT , size_t Log2PageSize = 10UL>

Page | ( |  | ) |
| inline

## ◆ ~Page()

template<typename ValueT , size_t Log2PageSize = 10UL>

~Page | ( |  | ) |
| inline

## ◆ Page() [2/2]

template<typename ValueT , size_t Log2PageSize = 10UL>

Page | ( | const Page & |  | ) |
| delete

## Member Function Documentation

## ◆ copy()

template<typename ValueT , size_t Log2PageSize = 10UL>

void copy | ( | ValueType * | dst,
|  | size_t | n
| ) |  | const
| inline

## ◆ data()

template<typename ValueT , size_t Log2PageSize = 10UL>

ValueT * data | ( |  | ) |
| inline

## ◆ fill()

template<typename ValueT , size_t Log2PageSize = 10UL>

void fill | ( | const ValueT & | v | ) |
| inline

## ◆ memUsage()

template<typename ValueT , size_t Log2PageSize = 10UL>

static size_t memUsage | ( |  | ) |
| inlinestatic

## ◆ operator=()

template<typename ValueT , size_t Log2PageSize = 10UL>

Page & operator= | ( | const Page & |  | ) |
| delete

## ◆ operator[]() [1/2]

template<typename ValueT , size_t Log2PageSize = 10UL>

ValueT & operator[] | ( | const size_t | i | ) |
| inline

## ◆ operator[]() [2/2]

template<typename ValueT , size_t Log2PageSize = 10UL>

const ValueT & operator[] | ( | const size_t | i | ) | const
| inline

## Member Data Documentation

## ◆ Mask

template<typename ValueT , size_t Log2PageSize = 10UL>

const size_t Mask = Size - 1UL
| static

## ◆ mData

template<typename ValueT , size_t Log2PageSize = 10UL>

ValueT* mData
| protected

## ◆ Size

template<typename ValueT , size_t Log2PageSize = 10UL>

const size_t Size = 1UL << Log2PageSize
| static